Convert operations/mediawiki-config to use composer for phpunit and php linting
Closed, ResolvedPublic

Legoktm created this task.Jan 6 2015, 8:04 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a subscriber: Legoktm.
Krinkle added a subscriber: Krinkle.Jan 6 2015, 8:25 PM
Legoktm claimed this task.Feb 7 2015, 12:09 AM
gerritbot added a subscriber: gerritbot.

Change 189148 had a related patch set uploaded (by Legoktm):
Add "composer test" command to lint files and run tests

https://gerrit.wikimedia.org/r/189148

Patch-For-Review

Change 189482 had a related patch set uploaded (by Hashar):
Experimental operations-mw-config-composer job

https://gerrit.wikimedia.org/r/189482

Patch-For-Review

Change 189482 merged by jenkins-bot:
Experimental operations-mw-config-composer job

https://gerrit.wikimedia.org/r/189482

hashar triaged this task as Normal priority.
hashar set Security to None.

I think @Krinkle made this possible but I'm not sure weather you have to use mediawiki/core to override which version to use.

Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:49 PM

I'll take this on further and try use the composer-fetch-dev script. That way we will still be testing with the committed version of production deps, which can otherwise mask or cause problems.

Krinkle claimed this task.Jan 6 2017, 4:22 AM

Change 325055 had a related patch set uploaded (by Krinkle):
build: require-dev phpunit in composer.json

https://gerrit.wikimedia.org/r/325055

Change 330842 had a related patch set uploaded (by Krinkle):
Add fetch-composer-dev.sh script (derived from mw-fetch-composer-dev.sh)

https://gerrit.wikimedia.org/r/330842

Change 330843 had a related patch set uploaded (by Krinkle):
Add operations-mw-config-composer-jessie job

https://gerrit.wikimedia.org/r/330843

Change 330842 merged by jenkins-bot:
Add fetch-composer-dev.sh script (derived from mw-fetch-composer-dev.sh)

https://gerrit.wikimedia.org/r/330842

Change 330843 merged by jenkins-bot:
Add operations-mw-config-composer-jessie job

https://gerrit.wikimedia.org/r/330843

Change 325055 had a related patch set uploaded (by Krinkle):
build: require-dev phpunit in composer.json

https://gerrit.wikimedia.org/r/325055

Change 331093 had a related patch set uploaded (by Krinkle):
build: Update PHPUnit from 3.7 to 4.8, add phplint to composer-test

https://gerrit.wikimedia.org/r/331093

Change 331099 had a related patch set uploaded (by Krinkle):
Replace -phpunit with -composer-hhvm-jessie for operations/mediawiki-config

https://gerrit.wikimedia.org/r/331099

Change 325055 merged by jenkins-bot:
build: require-dev phpunit in composer.json

https://gerrit.wikimedia.org/r/325055

Change 331093 merged by jenkins-bot:
build: Update PHPUnit from 3.7 to 4.8, add phplint to composer-test

https://gerrit.wikimedia.org/r/331093

Change 331099 merged by jenkins-bot:
Replace -phpunit with -composer-hhvm-jessie for operations/mediawiki-config

https://gerrit.wikimedia.org/r/331099

Krinkle closed this task as Resolved.Jan 10 2017, 11:08 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-11T14:09:08Z] <hashar@tin> Synchronized composer.lock: build: Update PHPUnit from 3.7 to 4.8, add phplint to composer-test - T85947 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2017-01-11T14:10:05Z] <hashar@tin> Synchronized composer.json: build: Update PHPUnit from 3.7 to 4.8, add phplint to composer-test - T85947 (duration: 00m 45s)

Deployed on the cluster during the European SWAT. Definitely a noop as expected :-}

Change 189148 abandoned by Reedy:
Add "composer test" command to lint files and run tests

Reason:
I9583a4574df4e6c3e7b41d8c4814e091c6498115

https://gerrit.wikimedia.org/r/189148